Syntax error in joomla 5.1.0 upgrade file

Need help upgrading your Joomla! website or converting to Joomla! 5.x?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10.
Post Reply
nikita12
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Wed Oct 18, 2023 11:25 am

Syntax error in joomla 5.1.0 upgrade file

Post by nikita12 » Thu Apr 18, 2024 5:26 am

Hi,

I was trying to upgrade my joomla 5.0.3 installation to 5.1.0 manually with PHP 8.1 and Mysql 8.0

I found out that administrator\components\com_admin\sql\updates\mysql\5.1.0-2024-02-24.sql contains an update query which my PhpMyAdmin is failing to execute. On further debugging I found that the there is an error in comment in the following query.

line 27 to 34
-----------------------------------------------------------
-- The following UPDATE statement has been modified to avoid an SQL error
-- when there is more than 1 update site for the Joomla core.
-- See https://github.com/joomla/joomla-cms/pull/42988 for details.
--
UPDATE `#__update_sites`
SET `type` = 'tuf', `location` = 'https://update.joomla.org/cms/'
WHERE `update_site_id` IN (SELECT ue.`update_site_id` FROM `#__update_sites_extensions` AS ue JOIN `#__extensions` AS e ON (e.`extension_id` = ue.`extension_id`) WHERE e.`type`='file' AND e.`element`='joomla');

In which Line 27 comment should be in the following way.(space after two --)
-- ---------------------------------------------------------

I changed this manually and it worked well.

User avatar
Kubik-Rubik
Joomla! Explorer
Joomla! Explorer
Posts: 272
Joined: Wed Aug 25, 2010 1:59 pm
Location: Karlsruhe - Germany
Contact:

Re: Syntax error in joomla 5.1.0 upgrade file

Post by Kubik-Rubik » Thu Apr 18, 2024 7:48 am

Hey Nikita12!

Please open a ticket in the Issue Tracker (https://issues.joomla.org/) or provide the fix directly to the Git repository (https://github.com/joomla/joomla-cms).

Thanks!
Cheers
Viktor

Kubik-Rubik Joomla! Extensions https://kubik-rubik.de
Former member of Joomla! Production Leadership Team, Security Strike Team and Bug Squash Team


Post Reply

Return to “Migrating and Upgrading to Joomla! 5.x”